<ion-header>
	<ion-toolbar mode="ios" class="header-page" color="light">
		<ion-buttons slot="start">
			<ion-button (click)="this.commonMethodsTs.toPage_AdminDashboard()">
				<ion-icon slot="icon-only" name="arrow-back"></ion-icon>
			</ion-button>
		</ion-buttons>
		<ion-title>
			Bật/Tắt Attack mode
		</ion-title>
	</ion-toolbar>

</ion-header>
<ion-content class="background-content has-fixed-bottom scroll-content">

	<ion-grid fixed class="ion-no-padding">
		<ion-list>
			<ion-item class='ion-button-group'>
				<ion-button class="ion-button-item ion-button-item-on" (click)="onAttackOnMode()">Bật</ion-button>
				<ion-button class="ion-button-item ion-button-item-off" (click)="onAttackOffMode()">Tắt</ion-button>
			</ion-item>
			<div *ngIf="data">
				<ion-item lines="none">
					<ion-label> IntResult: {{data.IntResult}}</ion-label>
				</ion-item>
				<ion-item lines="none">
					<ion-text> StrResult:</ion-text>
				</ion-item>
				<ion-item>
					<ion-text> {{data.StrResult}}</ion-text>
				</ion-item>
			</div>

			<ion-button class="ion-button-item ion-button-item-on" (click)="onThongKe()">Refresh</ion-button>

			<ion-item class='ion-button-group'>
				<ion-icon name="person"></ion-icon>
				<ion-text> Đang Online: {{onlineStatistic ? (onlineStatistic.IntResult|number) : 0}}</ion-text>
			</ion-item>
			<ion-item class='ion-button-group'>
				<ion-icon name="thunderstorm"></ion-icon>
				<ion-text> Hôm nay: {{defaultStatistic ? (defaultStatistic.DataResult[0].Today|number) : 0}}</ion-text>
			</ion-item>
			<ion-item class='ion-button-group'>
				<ion-icon name="trending-up"></ion-icon>
				<ion-text> Hôm qua: {{defaultStatistic ? (defaultStatistic.DataResult[0].Yesterday|number) : 0}}
				</ion-text>
			</ion-item>
			<ion-item class='ion-button-group'>
				<ion-icon name="calendar"></ion-icon>
				<ion-text> Trong tuần: {{defaultStatistic ? (defaultStatistic.DataResult[0].CurrentWeek|number) : 0}}
				</ion-text>
			</ion-item>
			<ion-item class='ion-button-group'>
				<ion-icon name="calendar"></ion-icon>
				<ion-text> Trong tháng: {{defaultStatistic ? (defaultStatistic.DataResult[0].CurrentMonth|number) : 0}}
				</ion-text>
			</ion-item>
			<ion-item class='ion-button-group'>
				<ion-icon name="stats"></ion-icon>
				<ion-text> Tổng cộng: {{defaultStatistic ? (defaultStatistic.DataResult[0].Total|number) : 0}}
				</ion-text>
			</ion-item>

			<ion-item class='ion-button-group'>
				<ion-icon name="arrow-dropright"></ion-icon>
				<ion-text style="font-size: 70%"> CacheMaxAgeForUpdateTruyCap: {{cacheMaxAgeForUpdateTruyCap}}
				</ion-text>
			</ion-item>
			<ion-item class='ion-button-group'>
				<ion-icon name="arrow-dropright"></ion-icon>
				<ion-text style="font-size: 70%"> CacheMaxAgeForUpdateSoLuotXemTinTuc: {{cacheMaxAgeForUpdateSoLuotXemTinTuc}}
				</ion-text>
			</ion-item>
			<ion-item class='ion-button-group'>
				<ion-icon name="arrow-dropright"></ion-icon>
				<ion-text style="font-size: 70%"> CacheMaxAgeForUpdateSoLuotXemDangTinRaoXe: {{cacheMaxAgeForUpdateSoLuotXemDangTinRaoXe}}
				</ion-text>
			</ion-item>
			<ion-item class='ion-button-group'>
				<ion-icon name="arrow-dropright"></ion-icon>
				<ion-text style="font-size: 70%"> UnderAttackMode: {{underAttackMode}}
				</ion-text>
			</ion-item>
			<ion-item class='ion-button-group'>
				<ion-icon name="arrow-dropright"></ion-icon>
				<ion-text style="font-size: 70%"> UnderAttackMode_IsTurnOnByAdminInCommonfileController: {{underAttackMode_IsTurnOnByAdminInCommonfileController}}
				</ion-text>
			</ion-item>
			<ion-item class='ion-button-group'>
				<ion-icon name="arrow-dropright"></ion-icon>
				<ion-text style="font-size: 70%"> UnderAttackModeAutoOnOrOff: {{underAttackModeAutoOnOrOff}}
				</ion-text>
			</ion-item>
			<ion-item class='ion-button-group'>
				<ion-icon name="arrow-dropright"></ion-icon>
				<ion-text style="font-size: 70%"> PostThongKeTruyCap: {{postThongKeTruyCap}}
				</ion-text>
			</ion-item>
		</ion-list>
	</ion-grid>
</ion-content>